LandingLens and LandingEdge docs have moved to landinglens.docs.landing.ai!
curl -X POST 'https://api.va.landing.ai/v1/ade/extract' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'schema={"type": "object", "properties": {"field1": {"type": "string"}, "field2": {"type": "string"}}}' \
-F 'markdown=@markdown.md' \
-F 'model=extract-latest'{
"extraction": {},
"extraction_metadata": {},
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"schema_violation_error": "<string>",
"fallback_model_version": "<string>",
"warnings": [
{
"code": "nonconformant_schema",
"msg": "<string>"
}
]
}
}Extract structured data from Markdown using a JSON schema.
This endpoint processes Markdown content and extracts structured data according to the provided JSON schema.
For EU users, use this endpoint:
https://api.va.eu-west-1.landing.ai/v1/ade/extract.
curl -X POST 'https://api.va.landing.ai/v1/ade/extract' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'schema={"type": "object", "properties": {"field1": {"type": "string"}, "field2": {"type": "string"}}}' \
-F 'markdown=@markdown.md' \
-F 'model=extract-latest'{
"extraction": {},
"extraction_metadata": {},
"metadata": {
"filename": "<string>",
"org_id": "<string>",
"duration_ms": 123,
"credit_usage": 123,
"job_id": "<string>",
"version": "<string>",
"schema_violation_error": "<string>",
"fallback_model_version": "<string>",
"warnings": [
{
"code": "nonconformant_schema",
"msg": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.landing.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your unique API key for authentication.
Get your API key here: https://va.landing.ai/settings/api-key.
If using the EU endpoint, get your API key here: https://va.eu-west-1.landing.ai/settings/api-key.
JSON schema for field extraction. This schema determines what key-values pairs are extracted from the Markdown. The schema must be a valid JSON object and will be validated before processing the document.
The version of the model to use for extraction. Use extract-latest to use the latest version.
The Markdown file or Markdown content to extract data from.
The URL to the Markdown file to extract data from.
If True, reject schemas with unsupported fields (HTTP 422). If False, prune unsupported fields and continue. Only applies to extract versions that support schema validation.
Successful Response
Was this page helpful?